CREATE TABLE keys.SIGNATURE( MAC_ADDR VARCHAR(20), PEM TEXT, PRIMARY KEY(MAC_ADDR));
ALTER TABLE keys.SIGNATURE ADD INDEX host_MAC_ADDR_index(MAC_ADDR);

#CREATE TABLE resources.HOST(    MAC_ADDR VARCHAR(20),    STAMP BIGINT,  HOSTNAME VARCHAR(20),  `STATUS` VARCHAR(10),    PRIMARY KEY(MAC_ADDR, STAMP) );
#CREATE TABLE resources.CPU (    MAC_ADDR VARCHAR(20),	STAMP BIGINT,    CORES INT,    PRIMARY KEY (MAC_ADDR, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.HOST(MAC_ADDR, STAMP) );
#CREATE TABLE resources.CORE(    MAC_ADDR VARCHAR(20),    STAMP BIGINT,    NUM INT,    TEMP FLOAT(5,2),    `USAGE` FLOAT(4,2),    FREQ_CURR FLOAT(4,2),    FREQ_MAX FLOAT(4,2),    FREQ_MIN FLOAT(4,2),    PRIMARY KEY(MAC_ADDR, NUM, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.CPU(MAC_ADDR, STAMP) );
#CREATE TABLE resources.MEMORY (    MAC_ADDR VARCHAR(20),    STAMP BIGINT,    TOTAL FLOAT(4,2),    USED FLOAT(4,2),    AVAILABLE FLOAT(4,2),	PERCENT FLOAT(4,2),    PRIMARY KEY (MAC_ADDR, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.HOST(MAC_ADDR, STAMP) );
#CREATE TABLE resources.SWP (    MAC_ADDR VARCHAR(20),    STAMP BIGINT,    TOTAL FLOAT(4,2),    USED FLOAT(4,2),    FREE FLOAT(4,2),	PERCENT FLOAT(4,2),    PRIMARY KEY (MAC_ADDR, STAMP),    FOREIGN KEY(MAC_ADDR, STAMP) REFERENCES resources.HOST(MAC_ADDR, STAMP) );

#SET GLOBAL event_scheduler = ON;

#CREATE EVENT update_status ON SCHEDULE	EVERY 10 SECOND	DO UPDATE resources.HOST AS H SET `STATUS`='inactive' WHERE H.STAMP < unix_timestamp(NOW() - INTERVAL 10 SECOND);
#CREATE EVENT remove_old ON SCHEDULE EVERY 1 DAY DO UPDATE
